clc
clear all
close all
warning off all
% corcev
[num txt] = xlsread('seznam_registrovany sikim2.xls');
% [num txt] = xlsread('seznam_registrace_nemocni_nereg.xls');

rozsah = size(txt);


tic

cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Souřadnice_norm2\';
% cesta_sourad = 'c:\Users\Michal\Documents\VUTBR\Magistr\Diplomová práce\Programy\Hledání korespondenčních značek\Souřadnice_nemocni_nereg\';

start = 1;
vse = 0;
vel_kriz = 9;
for i = start:rozsah(2)
    for j = 2:2:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0

            continue
        else
        vse = vse + 1;          

        end
    end
end
count = 0;
nul = 0;

pocet = 0;
pocet_celkem  = 0;
max = 0;
min = 1000;
for i = start:rozsah(2)
    for j = 2:2:rozsah(1)
        if length(cell2mat(txt(j,i))) == 0
            nul = nul + 1;
            continue
        else
            clc
            count = count+1;
            odpocet(vse,count)  % zobrazeni provedenych % a casu do konce
            disp('_____________________')
            
            soubor1 = cell2mat(txt(2,i));

            
            load([cesta_sourad '' soubor1 '' '_sourad.mat'])
            sourad1 = souradnice_vse(j:j+1,:);       

            sourad1(:,find (sourad1(1,:)==0))=[];
            
            
            
            pocet = length( sourad1);
            pocet_celkem = pocet_celkem+length( sourad1);
            prumer = pocet_celkem/count;
            if max < pocet
                max = pocet;
            end
            if min > pocet
                min = pocet;
            end
            
            disp(['min = ' '' num2str(min) ''])
            disp(['max = ' '' num2str(max) ''])
            disp(['prumer = ' '' num2str(prumer) ''])

        end
    end
    

end

